## oggvideotools 0.8a

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT ( "OggVideoTools" )

SET ( PACKAGE_NAME "oggvideotools" )
SET ( PACKAGE_VERSION "0.8a" )
SET ( PACKAGE_BUGREPORT "yorn@gmx.de" )

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES ( bzero.h HAVE_BZERO_H)
CHECK_INCLUDE_FILES ( stdint.h HAVE_STDINT_H )

IF ( $ENV{MAKE_PACKAGE} )
  find_library ( GD_GD_LIBRARY NAMES bgd.lib libgd.a )
  find_library ( JPEG_GD_LIBRARY NAMES libjpeg.a libjpeg.lib jpeg.lib )
  find_library ( PNG_GD_LIBRARY NAMES libpng.a libpng.lib )
  find_library ( Z_GD_LIBRARY NAMES libz.a )
  SET ( GD_LIBRARIES ${GD_GD_LIBRARY} ${GD_GDA_LIBRARY} ${JPEG_GD_LIBRARY} ${PNG_GD_LIBRARY}  ${Z_GD_LIBRAY} ${Z_GD_LIBRARY} )
  find_library ( GD_EXTERNAL NAMES bgd.dll )
  find_library ( THEORADEC_LIBRARIES NAMES libtheoradec.a )
  find_library ( THEORAENC_LIBRARIES NAMES libtheoraenc.a )
  find_library ( VORBIS_LIBRARIES NAMES libvorbis.a )
  find_library ( VORBISENC_LIBRARIES NAMES libvorbisenc.a )
  find_library ( OGG_LIBRARIES NAMES libogg.a )
  find_path ( OGG_INCLUDE_DIRS ogg/ogg.h )

  SET ( HAVE_LIBTHEORAENC 1  CACHE INTERNAL "" )
  SET ( HAVE_LIBTHEORADEC 1  CACHE INTERNAL "" )
  SET ( HAVE_LIBVORBIS 1 CACHE INTERNAL "" )
  SET ( HAVE_LIBVORBISENC 1 CACHE INTERNAL "")
  SET ( HAVE_LIBOGG 1 CACHE INTERNAL "" )
  SET ( HAVE_LIBGD 1 CACHE INTERNAL "" )

  SET ( ALL_STATIC_LIBS ${GD_LIBRARIES} ${THEORADEC_LIBRARIES}
${THEORAENC_LIBRARIES} ${VORBIS_LIBRARIES} ${VORBISENC_LIBRARIES}
${OGG_LIBRARIES} )

ELSE ( $ENV{MAKE_PACKAGE} )
  FIND_PACKAGE ( PkgConfig )
  pkg_check_modules ( THEORADEC theoradec>=1.1 )
  pkg_check_modules ( THEORAENC theoraenc>=1.1 )
  pkg_check_modules ( VORBIS    vorbis>=1.2.3 )
  pkg_check_modules ( VORBISENC vorbisenc>=1.2.3 )
  pkg_check_modules ( OGG       ogg>=1.1.0 )
  find_library ( GD_LIBRARY NAMES gd )
ENDIF ( $ENV{MAKE_PACKAGE} )

find_path ( GD_INCLUDE gd.h )

IF ( $ENV{MAKE_PACKAGE} )
MESSAGE ( "Do not creating package" )
ELSE ( $ENV{MAKE_PACKAGE} )

SET ( ALL_LIBS )
SET ( STOP_CONFIGURATION )

IF ( THEORAENC_FOUND )
  MESSAGE ( STATUS "Theora encoder library found" )
  SET ( HAVE_LIBTHEORAENC 1  CACHE INTERNAL "" )
  SET ( ALL_LIBS ${ALL_LIBS} ${THEORAENC_LIBRARIES} )
ELSE ( THEORAENC_FOUND )
  MESSAGE ( STATUS "ERROR: Theora encoder library NOT found" )
  SET ( STOP_CONFIGURATION true )
ENDIF ( THEORAENC_FOUND )

IF ( THEORADEC_FOUND )
  MESSAGE ( STATUS "Theora decoder library found" )
  SET ( HAVE_LIBTHEORADEC 1  CACHE INTERNAL "" )
  SET ( ALL_LIBS ${ALL_LIBS} ${THEORADEC_LIBRARIES} )
ELSE ( THEORADEC_FOUND )
  MESSAGE ( STATUS "ERROR: Theora decoder library NOT found" )
  SET ( STOP_CONFIGURATION true )
ENDIF ( THEORADEC_FOUND )

IF ( VORBIS_FOUND )
  MESSAGE ( STATUS "Vorbis library found" )
  SET ( HAVE_LIBVORBIS 1 CACHE INTERNAL "" )
  SET ( ALL_LIBS ${ALL_LIBS} ${VORBIS_LIBRARIES} )
ELSE ( VORBIS_FOUND )
  MESSAGE ( STATUS "ERROR: Vorbis library NOT found" )
  SET ( STOP_CONFIGURATION true )
ENDIF ( VORBIS_FOUND )

IF ( VORBISENC_FOUND )
  MESSAGE ( STATUS "Vorbis encoder library found" )
  SET ( HAVE_LIBVORBISENC 1 CACHE INTERNAL "")
  SET ( ALL_LIBS ${ALL_LIBS} ${VORBISENC_LIBRARIES} )
ELSE ( VORBISENC_FOUND )
  MESSAGE ( STATUS "ERROR: Vorbis encoder library NOT found" )
  SET ( STOP_CONFIGURATION true )
ENDIF ( VORBISENC_FOUND )

IF ( OGG_FOUND )
  MESSAGE ( STATUS "ogg library found" )
  SET ( HAVE_LIBOGG 1 CACHE INTERNAL "" )
  SET ( ALL_LIBS ${ALL_LIBS} ${OGG_LIBRARIES} )
ELSE ( OGG_FOUND )
  MESSAGE ( STATUS "ERROR: ogg library NOT found" )
  SET ( STOP_CONFIGURATION true )
ENDIF ( OGG_FOUND )

IF ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
  MESSAGE ( STATUS "GD library and header found" )
  SET ( HAVE_LIBGD 1 CACHE INTERNAL "" )
  SET ( ALL_LIBS ${ALL_LIBS} ${GD_LIBRARY} )
  INCLUDE_DIRECTORIES ( ${GD_INCLUDE} )
ELSE ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
  MESSAGE ( STATUS "GD library and/or header NOT found" )
  SET ( STOP_CONFIGURATION true )
ENDIF ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )

IF ( STOP_CONFIGURATION )
  MESSAGE ( FATAL_ERROR "Some libraries are missing - stopping configuration" )
ENDIF ( STOP_CONFIGURATION )

ENDIF ( $ENV{MAKE_PACKAGE} )

MESSAGE ( "Creating config.h" )

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

ADD_DEFINITIONS ( -DHAVE_CONFIG_H )
ADD_DEFINITIONS ( "-DPACKAGE_STRING=\"${PACKAGE_NAME}-${PACKAGE_VERSION}\"" )
ADD_DEFINITIONS ( -D_FILE_OFFSET_BITS=64 )
#ADD_DEFINITIONS ( -DDEBUG )
#ADD_DEFINITIONS ( -O0 -g )

INCLUDE_DIRECTORIES ( ${CMAKE_BINARY_DIR} )

# HAVE_STDINT_H
# HAVE_BZERO_H

ADD_SUBDIRECTORY ( src )
ADD_SUBDIRECTORY ( docs )

IF ( NOT WIN32 )
  ADD_SUBDIRECTORY ( scripts )
ENDIF ( NOT WIN32 )

# information for packaging

INCLUDE ( InstallRequiredSystemLibraries )

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Ogg Video Tools for video editing")
SET(CPACK_PACKAGE_VENDOR "Yorn")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.txt")
SET(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/cpackInfo/ReadMe.rtf")
SET(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/cpackInfo/Welcome.rtf")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/cpackInfo/COPYING.rtf")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "8")
SET(CPACK_PACKAGE_VERSION_PATCH "a")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "OggVideoTools")
IF(WIN32 AND NOT UNIX)
  # There is a bug in NSI that does not handle full unix paths properly. Make
  # sure there is at least one set of four (4) backlasshes.
#  SET(CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
#  SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Ogg Video Tools")
  SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\dev.streamnik.de")
  SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\dev.streamnik.de")
  SET(CPACK_NSIS_CONTACT "yorn@gmx.net")
  SET(CPACK_NSIS_MODIFY_PATH ON)
ELSE(WIN32 AND NOT UNIX)
  SET(CPACK_STRIP_FILES ${EXECUTABLES})
  SET(CPACK_SOURCE_STRIP_FILES ${EXECUTABLES} )
ENDIF(WIN32 AND NOT UNIX)
SET(CPACK_PACKAGE_EXECUTABLES ${EXECUTABLES} )
INCLUDE(CPack)

=== src/CMakeLists.txt ===
SET ( EXECUTABLES oggSplit oggDump oggJoin oggCut oggLength oggCat oggSlideshow
      oggTranscode oggThumb oggSilence )

SET ( LIBRARY_SRC effector.cpp crossfader.cpp crossfader.cpp
				  mediaUnit.cpp mediaRepository.cpp fileRepository.cpp
                  rawMediaPacket.cpp mediaDecoder.cpp mediaEncoder.cpp
                  mediaConverter.cpp oggDecoder.cpp oggStreamDecoder.cpp
                  oggPage.cpp oggPacket.cpp ringbuffer.cpp
                  oggRingbuffer.cpp crc.cpp granulePosInterpreter.cpp
                  mediaOutputDecoder.cpp mediaInputEncoder.cpp
                  streamSerializer.cpp oggBOSExtractorFactory.cpp
                  oggStreamEncoder.cpp oggEncoder.cpp streamExtractor.cpp
                  streamParameter.cpp streamMux.cpp bufferRepository.cpp
                  oggComment.cpp
                  theoraPosInterpreter.cpp theoraStreamParameter.cpp
                  theoraExtractor.cpp
                  vorbisPosInterpreter.cpp vorbisStreamParameter.cpp
                  vorbisExtractor.cpp
                  cmdlineextractor.cpp basePlane.cpp rgbPlane.cpp
                  blendElement.cpp
                  katePosInterpreter.cpp kateStreamParameter.cpp
                  kateExtractor.cpp
                  effector.cpp crossfader.cpp plainPicture.cpp
                  lowpassEffect.cpp kenburnseffect.cpp
              pictureResize.cpp pictureBlend.cpp pictureLoader.cpp
                  hookHandler.cpp videoHook.cpp audioHook.cpp
                  vorbisDecoder.cpp vorbisEncoder.cpp audioPacket.cpp
                  audioConverter.cpp theoraDecoder.cpp theoraEncoder.cpp
          helper.cpp log.cpp
    )

SET ( RESAMPLE_SRC libresample/filterkit.c libresample/resample.c
      libresample/resamplesubs.c )


# These are the
SET ( CODER_LIBRARY_SRC theoraDecoder.cpp theoraEncoder.cpp
                        vorbisDecoder.cpp vorbisEncoder.cpp
                        audioPacket.cpp audioConverter.cpp
    )

SET ( HEADER 
exception.h
effector.h 
crossfader.h 
crossfader.h
mediaUnit.h 
mediaRepository.h 
fileRepository.h
rawMediaPacket.h 
mediaDecoder.h 
mediaEncoder.h
mediaConverter.h 
oggDecoder.h 
oggStreamDecoder.h
oggPage.h 
oggPacket.h 
ringbuffer.h
oggRingbuffer.h 
crc.h 
granulePosInterpreter.h
mediaOutputDecoder.h 
mediaInputEncoder.h
streamSerializer.h 
oggBOSExtractorFactory.h
oggStreamEncoder.h 
oggEncoder.h 
streamExtractor.h
streamParameter.h 
streamMux.h 
bufferRepository.h
oggComment.h
theoraPosInterpreter.h 
theoraStreamParameter.h
theoraExtractor.h
vorbisPosInterpreter.h 
vorbisStreamParameter.h
vorbisExtractor.h
cmdlineextractor.h 
basePlane.h 
rgbPlane.h
blendElement.h
katePosInterpreter.h 
kateStreamParameter.h
kateExtractor.h
effector.h 
crossfader.h 
plainPicture.h
lowpassEffect.h 
kenburnseffect.h
pictureResize.h 
pictureBlend.h 
pictureLoader.h
hookHandler.h 
videoHook.h 
audioHook.h
vorbisDecoder.h 
vorbisEncoder.h 
audioPacket.h
audioConverter.h 
theoraDecoder.h 
theoraEncoder.h
helper.h 
log.h
refObject.h
definition.h
oggHeader.h
theoraHeader.h
vorbisHeader.h
kateHeader.h
oggTypes.h
streamConfig.h
th_helper.h
wishList.h
)

# ADD_DEFINITIONS ( -DDEBUG )

INCLUDE_DIRECTORIES ( ${THEORADEC_INCLUDE_DIRS} ${THEORAENC_INCLUDE_DIRS}
                      ${VORBIS_INCLUDE_DIRS} ${VORBISENC_INCLUDE_DIRS}
                      ${OGG_INCLUDE_DIRS} ${GD_INCLUDE_DIRS} )

IF ( $ENV{MAKE_PACKAGE} )
  ADD_LIBRARY ( oggvideotools STATIC ${LIBRARY_SRC} ${RESAMPLE_SRC} )
ELSE ( $ENV{MAKE_PACKAGE} )
  ADD_LIBRARY ( oggvideotools SHARED ${LIBRARY_SRC} ${RESAMPLE_SRC} )
ENDIF ( $ENV{MAKE_PACKAGE} )
  TARGET_LINK_LIBRARIES ( oggvideotools ${ALL_LIBS})

IF ( $ENV{MAKE_PACKAGE} )
  MESSAGE ( " Creating static Executables ${ALL_STATIC_LIBS}" )
  FOREACH ( exec ${EXECUTABLES} )
    ADD_EXECUTABLE ( ${exec} ${exec}.cpp )
    TARGET_LINK_LIBRARIES ( ${exec} oggvideotools ${ALL_STATIC_LIBS} )
  ENDFOREACH ( exec ${EXECUTABLES} )

  IF ( WIN32 )
    MESSAGE ( "Installing additional library ${GD_EXTERNAL}" )
    INSTALL ( FILES ${GD_EXTERNAL} DESTINATION bin )
	INSTALL ( FILES ${CMAKE_SOURCE_DIR}/win32/GD-COPYING.TXT DESTINATION doc )
  ENDIF ( WIN32 )

ELSE ( $ENV{MAKE_PACKAGE} )

  MESSAGE ( "Libraries are: ${ALL_LIBS}" )
  FOREACH ( exec ${EXECUTABLES} )
    ADD_EXECUTABLE ( ${exec} ${exec}.cpp )
    TARGET_LINK_LIBRARIES ( ${exec} oggvideotools )
#    ADD_EXECUTABLE ( ${exec}_static ${exec}.cpp ${LIBRARY_SRC} ${RESAMPLE_SRC} )
#    TARGET_LINK_LIBRARIES ( ${exec}_static ${ALL_LIBS} ) 
  ENDFOREACH ( exec ${EXECUTABLES} )
   
ENDIF ( $ENV{MAKE_PACKAGE} )

INSTALL ( TARGETS ${EXECUTABLES} DESTINATION bin )
INSTALL ( TARGETS oggvideotools DESTINATION lib )
INSTALL ( FILES ${HEADER} DESTINATION include/oggvt )

=== debian/changelog ===
oggvideotools (0.8a-7) unstable; urgency=low

  * Changed build-depend on libgd2-xpm-dev to libgd-dev, to list the
    real package now providing this dependency.
  * New patch more-compiler-warnings.patch to compile using -Wall and
    -Wextra.
  * Change autopkgtest control file to allow stderr output, as the
    scripts log progress to stderr.
  * Add new autopkgtest script to use oggCut.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Dec 2015 23:52:49 +0100

oggvideotools (0.8a-6) unstable; urgency=low

  * Drop unneeded build dependency on essential package mktemp.
  * Drop article in front of package description.  Thank you lintian.
  * Fix build problem caused by test script.
  * Add debian/gbp.conf to enforce the user of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 14:28:41 +0200

oggvideotools (0.8a-5) unstable; urgency=low

  * Start on simple autopkgtest setup and use it during build.  Test
    oggJoin using video and audio file, to trigger a bug on big endian
    machines.
  * Rewrite debian/rules to use dh instead of dh_*.
  * Add build dependencies mktemp, debconf and python-pygame needed by
    test script.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 10:05:27 +0200

oggvideotools (0.8a-4) unstable; urgency=low

  [ Martin Steghöfer ]
  * Enable hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Oct 2014 13:54:48 +0200

oggvideotools (0.8a-3) unstable; urgency=low

  * Switch from debhelper 7 to 9.  No code changes needed.
  * Added manual-typos.patch to fix a handful typos in the manual
    pages, discovered by lintian.
  * Added oggThumb-zero-getopt-long.patch to fix crash when given
    unknown command line arguments (Closes: #716525).  Thanks to
    Alexandre Rebert and the Mayhem project for discovering this.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 20:52:55 +0200

oggvideotools (0.8a-2) unstable; urgency=low

  [ Martin Steghöfer ]
  * Updated meta information (VCS and Homepage) to list git
    repository.

  [ Petter Reinholdtsen ]
  * Drop John Francesco Ferlito and Ron Lee, and add me and Martin
    Steghöfer as uploaders.
  * Updated standards-version from 3.9.3.1 to 3.9.6.
  * Rename oggResize to oggTranscode in package description to match
    the new reality (Closes: #732569).
  * Move to source format 3.0 (quilt) and move all upstream changes to
    new version-0.8a-1.patch.
  * Added mayhem-crash-oggjoin.patch to fix crash bug on corrupt input
    (Closes: #716188). Thanks to Alexandre Rebert and the Meyhem
    project for discovering the problem.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 09:44:10 +0200

oggvideotools (0.8a-1) unstable; urgency=low

  * New upstream release with the blessing of John.  Closes: #652958
    Add myself to uploaders.
  * s/komas/commas/g in the docs.  Closes: #606225

 -- Ron Lee <ron@debian.org>  Sat, 02 Jun 2012 23:54:42 +0930

oggvideotools (0.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch from Paul Tagliamonte (missing
    includes).
    (Closes: #667308)

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 May 2012 15:22:15 +0200

oggvideotools (0.8-1) unstable; urgency=low

  * Initial Debian Release (Closes: #563446).
  * debian/copyright
    - Add John Ferlito as package maintainer.
    - Add copyright details for libresample.
    - Fix FSF address.
  * debian/watch
    - Move to version 3.
    - Use debian sourceforge redirector.
  * debian/compat
    - Update to 7.
    - Move to using dh instead of cdbs.
  * debian/rules
    - Move to dh 7.
    - Add quilt support.
  * debian/control
    - Change maintainer to Debian Xiph.org Maintainers.
    - Add ${misc:Depends}.
    - Update standars version to 3.8.3.
    - Depend on debhelper >= 7.0.50~
    - Improve package description.
    - Add quilt dependency.
    - Remove cdbs dependency.
    - Add -dbg package.
  * debian/patches/manpages
    - Fix hyphenation in man pages.

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 03 Jan 2010 13:05:14 +1100

oggvideotools (0.7b-ubuntu1) jaunty; urgency=low

  * rebuilt with libtheora beta1 

 -- jan gerber <j@v2v.cc>  Tue, 11 Aug 2009 00:27:20 +0200

oggvideotools (0.7b) jaunty; urgency=low

  * initial version

 -- jan gerber <j@v2v.cc>  Fri, 10 August 2009 18:20:00 +0200

=== debian/control ===
Source: oggvideotools
Section: video
Priority: optional
Maintainer: Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
 , Martin Steghöfer <martin@steghoefer.eu>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libogg-dev,
 libtheora-dev,
 libvorbis-dev,
 libsdl-dev,
 libgd-dev,
 debconf,
 python-pygame,
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Vcs-Git: https://anonscm.debian.org/git/pkg-xiph/oggvideotools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xiph/oggvideotools.git
Homepage: http://www.streamnik.de/oggvideotools.html

Package: oggvideotools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: toolbox for manipulating and creating Ogg video files
 Contains the following command line tools:
 .
   * oggCat - concatenates two ogg video files
   * oggCut - extracts parts of an ogg file
   * oggDump
   * oggJoin - multiplexes ogg streams 
   * oggLength
   * oggTranscode - resizes ogg files in multiple ways
   * oggScroll
   * oggSilence
   * oggSlideshow - creates slideshows from pictures
   * oggSplit - demultiplexes ogv files
   * oggThumb - creates thumbnails from an ogg video file

Package: oggvideotools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: oggvideotools (= ${binary:Version}), ${misc:Depends}
Description: toolbox for manipulating and creating Ogg video files (debug symbols)
 Contains the following command line tools:
 .
   * oggCat - concatenates two ogg video files
   * oggCut - extracts parts of an ogg file
   * oggDump
   * oggJoin - multiplexes ogg streams 
   * oggLength
   * oggTranscode - resizes ogg files in multiple ways
   * oggScroll
   * oggSilence
   * oggSlideshow - creates slideshows from pictures
   * oggSplit - demultiplexes ogv files
   * oggThumb - creates thumbnails from an ogg video file
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_strip:
	dh_strip --dbg-package=oggvideotools-dbg

# Run our test suite until the upstream source get one
override_dh_auto_test:
	dh_auto_test
	TESTBINDIR=`pwd`/obj-*/src/ ./debian/tests/test-oggjoin

=== debian/tests/control ===
Tests: test-oggjoin, test-oggcut
Depends: @, debconf, python-pygame, python-mecavideo
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://sf.net/oggvideotools/oggvideotools-(.+)\.tar\.gz

## oggvideotools 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,24 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8)
 
 PROJECT ( "OggVideoTools" )
 
 SET ( PACKAGE_NAME "oggvideotools" )
-SET ( PACKAGE_VERSION "0.8a" )
-SET ( PACKAGE_BUGREPORT "yorn@gmx.de" )
+SET ( PACKAGE_VERSION "0.9.1" )
+SET ( PACKAGE_BUGREPORT "yorn@gmx.net" )
 
 INCLUDE (CheckIncludeFiles)
 CHECK_INCLUDE_FILES ( bzero.h HAVE_BZERO_H)
 CHECK_INCLUDE_FILES ( stdint.h HAVE_STDINT_H )
 
 IF ( $ENV{MAKE_PACKAGE} )
-  find_library ( GD_GD_LIBRARY NAMES bgd.lib libgd.a )
+  find_library ( GD_GD_LIBRARY NAMES bgd.dll )
   find_library ( JPEG_GD_LIBRARY NAMES libjpeg.a libjpeg.lib jpeg.lib )
   find_library ( PNG_GD_LIBRARY NAMES libpng.a libpng.lib )
-  find_library ( Z_GD_LIBRARY NAMES libz.a )
-  SET ( GD_LIBRARIES ${GD_GD_LIBRARY} ${GD_GDA_LIBRARY} ${JPEG_GD_LIBRARY} ${PNG_GD_LIBRARY}  ${Z_GD_LIBRAY} ${Z_GD_LIBRARY} )
+  find_library ( Z_GD_LIBRARY NAMES libz )
+  SET ( GD_LIBRARIES ${GD_GD_LIBRARY} ${JPEG_GD_LIBRARY} ${PNG_GD_LIBRARY}  ${Z_GD_LIBRARY} )
   find_library ( GD_EXTERNAL NAMES bgd.dll )
-  find_library ( THEORADEC_LIBRARIES NAMES libtheoradec.a )
-  find_library ( THEORAENC_LIBRARIES NAMES libtheoraenc.a )
+  find_library ( THEORADEC_LIBRARIES NAMES libtheoradec )
+  find_library ( THEORAENC_LIBRARIES NAMES libtheoraenc )
   find_library ( VORBIS_LIBRARIES NAMES libvorbis.a )
   find_library ( VORBISENC_LIBRARIES NAMES libvorbisenc.a )
   find_library ( OGG_LIBRARIES NAMES libogg.a )
@@ -48,7 +48,7 @@
 find_path ( GD_INCLUDE gd.h )
 
 IF ( $ENV{MAKE_PACKAGE} )
-MESSAGE ( "Do not creating package" )
+MESSAGE ( "Do creating package" )
 ELSE ( $ENV{MAKE_PACKAGE} )
 
 SET ( ALL_LIBS )
@@ -99,15 +99,15 @@
   SET ( STOP_CONFIGURATION true )
 ENDIF ( OGG_FOUND )
 
-IF ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
+IF ( NOT ${GD_LIBRARY} MATCHES GD_LIBRARY-NOTFOUND )
   MESSAGE ( STATUS "GD library and header found" )
   SET ( HAVE_LIBGD 1 CACHE INTERNAL "" )
   SET ( ALL_LIBS ${ALL_LIBS} ${GD_LIBRARY} )
   INCLUDE_DIRECTORIES ( ${GD_INCLUDE} )
-ELSE ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
+ELSE ( NOT ${GD_LIBRARY} MATCHES GD_LIBRARY-NOTFOUND )
   MESSAGE ( STATUS "GD library and/or header NOT found" )
-  SET ( STOP_CONFIGURATION true )
-ENDIF ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
+#  SET ( STOP_CONFIGURATION true )
+ENDIF ( NOT ${GD_LIBRARY} MATCHES GD_LIBRARY-NOTFOUND )
 
 IF ( STOP_CONFIGURATION )
   MESSAGE ( FATAL_ERROR "Some libraries are missing - stopping configuration" )
@@ -121,9 +121,12 @@
 
 ADD_DEFINITIONS ( -DHAVE_CONFIG_H )
 ADD_DEFINITIONS ( "-DPACKAGE_STRING=\"${PACKAGE_NAME}-${PACKAGE_VERSION}\"" )
-ADD_DEFINITIONS ( -D_FILE_OFFSET_BITS=64 )
+ADD_DEFINITIONS ( -D_FILE_OFFSET_BITS=64 -Wno-write-strings )
 #ADD_DEFINITIONS ( -DDEBUG )
-#ADD_DEFINITIONS ( -O0 -g )
+ADD_DEFINITIONS ( -O0 -g --std=c++0x -fPIC )
+IF ( HAVE_LIBGD )
+  ADD_DEFINITIONS ( -DWITH_GD2LIB )
+ENDIF (HAVE_LIBGD )
 
 INCLUDE_DIRECTORIES ( ${CMAKE_BINARY_DIR} )
 
@@ -143,13 +146,13 @@
 
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Ogg Video Tools for video editing")
 SET(CPACK_PACKAGE_VENDOR "Yorn")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.txt")
+SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
 SET(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/cpackInfo/ReadMe.rtf")
 SET(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/cpackInfo/Welcome.rtf")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/cpackInfo/COPYING.rtf")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "8")
-SET(CPACK_PACKAGE_VERSION_PATCH "a")
+SET(CPACK_PACKAGE_VERSION_MINOR "9")
+SET(CPACK_PACKAGE_VERSION_PATCH "")
 SET(CPACK_PACKAGE_INSTALL_DIRECTORY "OggVideoTools")
 IF(WIN32 AND NOT UNIX)
   # There is a bug in NSI that does not handle full unix paths properly. Make

=== docs/CMakeLists.txt ===
SET ( MAN_SRC oggTranscode.1 oggSlideshow.1 oggThumb.1 oggSplit.1 oggJoin.1
  oggCut.1 oggCat.1 oggSilence.1 oggDump.1 oggLength.1 mkThumbs.1 )
SET ( HTML_SRC oggTranscode.html oggSlideshow.html oggThumb.html oggSplit.html oggJoin.html
  oggCut.html oggCat.html oggSilence.html oggDump.html oggLength.html mkThumbs.html )


IF ( $ENV{MAKE_PACKAGE} )
 INSTALL ( FILES ${MAN_SRC} DESTINATION doc )
 INSTALL ( FILES ${HTML_SRC} DESTINATION doc )
ELSE ( $ENV{MAKE_PACKAGE} )
INSTALL ( FILES ${MAN_SRC} DESTINATION man/man1 )
ENDIF ( $ENV{MAKE_PACKAGE} )

=== scripts/CMakeLists.txt ===
SET ( SCRIPT_SRC mkThumbs )

INSTALL ( FILES ${SCRIPT_SRC} DESTINATION sbin )

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES ( ${THEORADEC_INCLUDE_DIRS}
                      ${THEORAENC_INCLUDE_DIRS}
                      ${VORBIS_INCLUDE_DIRS}
                      ${VORBISENC_INCLUDE_DIRS}
                      ${OGG_INCLUDE_DIRS}
                      ${GD_INCLUDE_DIRS}
                      ${CMAKE_CURRENT_LIST_DIR}
                      ${CMAKE_CURRENT_LIST_DIR}/base
                      ${CMAKE_CURRENT_LIST_DIR}/effect
                      ${CMAKE_CURRENT_LIST_DIR}/misc
                      ${CMAKE_CURRENT_LIST_DIR}/ovt_kate
                      ${CMAKE_CURRENT_LIST_DIR}/ovt_vorbis
                      ${CMAKE_CURRENT_LIST_DIR}/ovt_theora
                      ${CMAKE_CURRENT_LIST_DIR}/main
                      ${CMAKE_CURRENT_LIST_DIR}/libresample
)

ADD_SUBDIRECTORY ( base )
ADD_SUBDIRECTORY ( effect )
ADD_SUBDIRECTORY ( binaries )
ADD_SUBDIRECTORY ( misc )
ADD_SUBDIRECTORY ( ovt_kate )
ADD_SUBDIRECTORY ( ovt_vorbis )
ADD_SUBDIRECTORY ( ovt_theora )
ADD_SUBDIRECTORY ( main )
ADD_SUBDIRECTORY ( libresample )

=== src/base/CMakeLists.txt ===
SET ( LIBRARY_BASE_SRC
      oggPage.cpp
      oggPacket.cpp
      oggComment.cpp
      oggDecoder.cpp
      oggEncoder.cpp
      oggRingbuffer.cpp
      oggStreamDecoder.cpp
      oggStreamEncoder.cpp
      mediaUnit.cpp
      mediaRepository.cpp
      mediaDecoder.cpp
      mediaEncoder.cpp
      mediaConverter.cpp
      granulePosInterpreter.cpp
      mediaOutputDecoder.cpp
      mediaInputEncoder.cpp
      streamParameter.cpp
      streamExtractor.cpp
      bufferRepository.cpp
      fileRepository.cpp
      rawMediaPacket.cpp
)

ADD_LIBRARY ( ovtbase ${LIBRARY_BASE_SRC} )

add_subdirectory(test)

=== src/binaries/CMakeLists.txt ===
SET ( EXECUTABLES oggSplit oggDump oggJoin oggCut oggLength oggCat oggSilence )

SET ( EXEC_WITH_GD oggSlideshow oggThumb oggTranscode )

FOREACH ( exec ${EXECUTABLES} )
  ADD_EXECUTABLE ( ${exec} ${exec}.cpp )
 TARGET_LINK_LIBRARIES ( ${exec} ovtmain ovtkate ovtvorbis ovttheora ovtbase ovteffect ovtmisc resample ${ALL_LIBS} )
ENDFOREACH ( exec ${EXECUTABLES} )
INSTALL ( TARGETS ${EXECUTABLES} DESTINATION bin )

IF ( HAVE_LIBGD )
FOREACH ( exec ${EXEC_WITH_GD} )
  ADD_EXECUTABLE ( ${exec} ${exec}.cpp )
  TARGET_LINK_LIBRARIES ( ${exec} ovtmain ovtkate ovtvorbis ovttheora ovtbase ovteffect ovtmisc resample ${ALL_LIBS}  )
ENDFOREACH ( exec ${EXEC_WITH_GD} )
INSTALL ( TARGETS ${EXEC_WITH_GD} DESTINATION bin )
ENDIF ( HAVE_LIBGD )

=== src/effect/CMakeLists.txt ===
SET ( LIBRARY_VIDEOEFFECT_SRC
      effector.cpp
      effectorTypes.cpp
      effectorVisitor.cpp
      crossfader.cpp
      plainPicture.cpp
      lowpassEffect.cpp
      kenburnseffect.cpp
      pictureResize.cpp
      pictureBlend.cpp
      pictureLoader.cpp
      shiftEffect.cpp
      shiftblendEffect.cpp
      basePlane.cpp
      rgbPlane.cpp
      blendElement.cpp )

ADD_LIBRARY ( ovteffect ${LIBRARY_VIDEOEFFECT_SRC} )

=== src/libresample/CMakeLists.txt ===
SET ( LIBRARY_RESAMPLE_SRC
      filterkit.c  
      resample.c  
      resamplesubs.c
    )

ADD_LIBRARY ( resample ${LIBRARY_RESAMPLE_SRC} )

=== src/main/CMakeLists.txt ===
SET ( LIBRARY_MAIN_SRC
      audioConverter.cpp  
      audioHook.cpp
      hookHandler.cpp
      videoHook.cpp
      oggBOSExtractorFactory.cpp
      streamMux.cpp
      streamSerializer.cpp
      cmdlineextractor.cpp
    )

ADD_LIBRARY ( ovtmain ${LIBRARY_MAIN_SRC} )

=== src/misc/CMakeLists.txt ===
SET ( LIBRARY_MISC_SRC
      ringbuffer.cpp
      log.cpp
      helper.cpp
      crc.cpp
)

ADD_LIBRARY ( ovtmisc ${LIBRARY_MISC_SRC} )

=== src/ovt_kate/CMakeLists.txt ===
SET ( LIBRARY_KATE_SRC
      katePosInterpreter.cpp  
      kateStreamParameter.cpp
      kateExtractor.cpp 
    )

ADD_LIBRARY ( ovtkate ${LIBRARY_KATE_SRC} )

=== src/ovt_theora/CMakeLists.txt ===
SET ( LIBRARY_THEORA_SRC
      theoraEncoder.cpp
      theoraDecoder.cpp  
      theoraExtractor.cpp  
      theoraPosInterpreter.cpp
      theoraStreamParameter.cpp
    )
#      theoraConfig.cpp

ADD_LIBRARY ( ovttheora ${LIBRARY_THEORA_SRC} )

=== debian/changelog ===
oggvideotools (0.9.1-7build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:19:41 -0500

oggvideotools (0.9.1-7) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Name.
  * Fix day-of-week for changelog entry 0.7b.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Adjusted autopkgtest script test-oggcut to use new test file path
    (Closes: #1031735).
  * Only install mkThumbs in bin, no need for a sbin copy. (Closes: #1064802)
  * Provide non-virtual sdl build dependency in addition to the virtual
    libsdl-dev one.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Apr 2024 08:46:57 +0200

oggvideotools (0.9.1-6) unstable; urgency=medium

  * Team upload.
  * Acknowledge previous NMU.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Drop -dbg package and migrate to automatic -dbgsym package.
  * debian/patches/0007: Fix man page installation path.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Sep 2021 23:03:54 -0400

oggvideotools (0.9.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't run test-oggjoin that depends on pysycache-i18n
    that will likely be removed. (Closes: #959814)

 -- Adrian Bunk <bunk@debian.org>  Fri, 22 May 2020 21:49:26 +0300

oggvideotools (0.9.1-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove XS-Testsuite field, not needed anymore
  * d/watch: Use https protocol

  [ Peter Michael Green ]
  * Update dependency and file path for python-mecavideo -> python3-mecavideo
    package rename.
    Closes: #924608

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2019 09:46:07 +0200

oggvideotools (0.9.1-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update the maintainer address. (Closes: #899624)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Feb 2019 15:37:15 +0200

oggvideotools (0.9.1-4) unstable; urgency=medium

  * Change source of ogg audio file from python-pygame to pysycache-i18n
    (Closes: #861298).
  * Updated Standards-Version from 3.9.8 to 4.0.0.
  * Added 'Multi-Arch: no' to oggvideotools and oggvideotools-dbg.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Jul 2017 04:42:10 +0000

oggvideotools (0.9.1-3) unstable; urgency=medium

  * Updated d/copyright file to relect that win32/ no longer is part
    of the source tarball.
  * New patch import-cstring.patch to fix build problem after compiler
    updates.  Patch from Jan Gerber.  Closes: #844858

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 03 Dec 2016 21:40:18 +0000

oggvideotools (0.9.1-2) unstable; urgency=medium

  * Add new and missing build dependency libboost-dev.
  * Removed unwanted comma in d/tests/control file.  Thanks lintian.
  * Updated Standards-Version from 3.9.6 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Sep 2016 18:56:22 +0200

oggvideotools (0.9.1-1) unstable; urgency=medium

  * Added Ralph Giles as uploader.
  * Updated debian/copyright, correct upstream URL and wrap long lines.
  * Added cme rule to debian/rules to track copyright changes.
  * Rewrite debian/copyright file using DEP5 format.
  * Added new entries in debian/copyright.
  * Adjust testsuite run to new source layout.
  * Adjust build rules to run both test scripts during build.
  * Adjust test scripts to run tests using valgrind.
  * Updated build rules for new 0.9 version.
  * Updated to upstream version 0.9.1.
    - Now compiles with GCC 6 (Closes: #811769).
    - Refresh manual-typos.patch to match version 0.9.1.
  * Add build dependency on python-mecavideo needed by the test suite.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Sep 2016 13:05:43 +0200

=== debian/control ===
Source: oggvideotools
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Martin Steghöfer <martin@steghoefer.eu>,
 Ralph Giles <giles@thaumas.net>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libogg-dev,
 libtheora-dev,
 libvorbis-dev,
 libsdl1.2-dev | libsdl-dev,
 libgd-dev,
 libboost-dev,
 debconf,
 python3-mecavideo,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/multimedia-team/oggvideotools.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/oggvideotools
Homepage: http://www.streamnik.de/oggvideotools.html

Package: oggvideotools
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: toolbox for manipulating and creating Ogg video files
 Contains the following command line tools:
 .
   * oggCat - concatenates two ogg video files
   * oggCut - extracts parts of an ogg file
   * oggDump
   * oggJoin - multiplexes ogg streams
   * oggLength
   * oggTranscode - resizes ogg files in multiple ways
   * oggScroll
   * oggSilence
   * oggSlideshow - creates slideshows from pictures
   * oggSplit - demultiplexes ogv files
   * oggThumb - creates thumbnails from an ogg video file

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_strip:
	dh_strip --dbgsym-migration='oggvideotools-dbg (<< 0.9.1-6~)'

# Run our test suite until the upstream source get one
override_dh_auto_test:
	dh_auto_test
	#TESTBINDIR=`pwd`/obj-*/src/binaries/ ./debian/tests/test-oggjoin
	TESTBINDIR=`pwd`/obj-*/src/binaries/ ./debian/tests/test-oggcut

debian-copyright:
	cme update dpkg-copyright -file debian/copyright.cme

=== debian/tests/control ===
Tests: test-oggcut
Depends: @, debconf, python3-mecavideo (>> 8.0~rc4), valgrind
Restrictions: allow-stderr
